Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression
Class ValueCoercionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.binding.expression.EvaluationException
                      org.springframework.binding.expression.ValueCoercionException

All Implemented Interfaces:
  java.io.Serializable

    public class ValueCoercionException

extends EvaluationException

An evaluation exception indicating an expression failed to evaluate because the source value could not be coerced to the target class

Author:
  Scott Andrews
See Also:
  Serialized Form

Constructor Summary
`ValueCoercionException(java.lang.Class contextClass, java.lang.String property, java.lang.Object value, java.lang.Class targetClass)` Creates a new property not found exception
`ValueCoercionException(java.lang.Class contextClass, java.lang.String property, java.lang.Object value, java.lang.Class targetClass, java.lang.Throwable cause)` Creates a new property not found exception

Method Summary
`java.lang.Class` | `getTargetClass()`
`java.lang.Object` | `getValue()`

Methods inherited from class org.springframework.binding.expression.EvaluationException
`getContextClass, getExpressionString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueCoercionException

    public ValueCoercionException(java.lang.Class contextClass,
                                  java.lang.String property,
                                  java.lang.Object value,
                                  java.lang.Class targetClass)

  Creates a new property not found exception

  Parameters:
    `contextClass` - the class of object upon which coercion was attempted
    `property` - the property that could not be coerced
    `value` - the value that could not be coerced
    `targetClass` - the class the value could not be coerced to

### ValueCoercionException

    public ValueCoercionException(java.lang.Class contextClass,
                                  java.lang.String property,
                                  java.lang.Object value,
                                  java.lang.Class targetClass,
                                  java.lang.Throwable cause)

  Creates a new property not found exception

  Parameters:
    `contextClass` - the class of object upon which coercion was attempted
    `property` - the property that could not be coerced
    `value` - the value that could not be coerced
    `targetClass` - the class the value could not be coerced to
    `cause` - root cause of the failure

Method Detail

### getValue

    public java.lang.Object getValue()

  Returns:
    the value that could not be coerced; this value is a transient field

### getTargetClass

    public java.lang.Class getTargetClass()

  Returns:
    the class the value could not be coerced to

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD